var findIdService = (function () {
    // true이면 아이디 찾기 진행중, false이면 아이디 찾기 진행중이 아님
    var isProcessingFindId = false;
    return {
        /*
         * 이메일로 아이디 찾기 진행시 사용 코드
         */
        findIdApiRequest: function (option, email) {
            if (isProcessingFindId) {
                return ;
            }
            if (_.isEmpty(email)) {
                alert("이메일을 입력해주세요.");
                return;
            }
            if (!userService.checkEmail(email)) {
                return;
            }

            isProcessingFindId = true;
            $.ajax({
                url : "/clfd/find/id.json",
                type : "GET",
                data : {
                    email: email
                },
                dataType : "json",
                success : function(res) {
                    isProcessingFindId = false;
                    if (res.result == "success") {
                        option.scb(res.message);
                    } else {
                        option.ecb(res.message);
                    }
                },error : function(request,status,error) {
                    isProcessingFindId = false;
                    option.ecb();
                    console.error("code:"+request.status+"\nerror:"+error);
                }
            });
        },
        ajaxSmsFindId: function (_smsAuthKey, _phone, scb, ecb) {
            if (_.isEmpty(_phone)) {
                alert("휴대폰 번호를 입력해주세요.");
                return;
            }
            if (_.isEmpty(_smsAuthKey)) {
                alert("인증번호를 입력해주세요.");
                return;
            }
            $.ajax({
                url: "/clfd/sms/find/id.json",
                type : "POST",
                data : {smsAuthKey: _smsAuthKey, phone: _phone},
                dataType: 'json',
                success: function(res) {
                    if (res.result === "success") {
                        scb(res);
                        alert(res.message);
                    } else {
                        ecb();
                        alert(res.message);
                    }
                }
            })
        }
    }
}());
